Subject: Re: bug#33941: RPMB partition access by parted command

From: "Brian C. Lane" <[email-masked]>
Date: Wed, 30 Jan 2019 16:05:53 -0800

On Tue, Jan 01, 2019 at 12:27:50PM +0530, Rayagonda Kokatanur wrote:
> Hi,
> 
> Parted command is trying to access RPMB partition when running "parted
> -l" in Linux and it gives following prompt, is this behavior expected
> ? How to disable this prompt, please let me know.

parted -l tries to examine everything that looks like a block device,
and it looks like you have some devices that either aren't working
right, or aren't really block devices.

The only suggestion I have is to run 'parted -s DEVICE p' on the devices
you want to examine instead of using -l.

-- 
Brian C. Lane (PST8PDT)